package com.ccwangluo.ccim.listener;

import com.ccwangluo.ccim.data.Contact;
import com.ccwangluo.ccim.data.NetStatus;
import com.ccwangluo.ccim.data.PushChannelMsgRes;
import com.ccwangluo.ccim.data.PushPrivateMsgRes;
import com.ccwangluo.ccim.data.User;

public interface OnPushMsgListener {

    void pushPrivateMsg(PushPrivateMsgRes msg);

    void pushChannelMsg(PushChannelMsgRes msg);

    void pushNewContact(Contact contact);

    void pushDeleteContact(Long contactId);

    void pushContactNetStatus(Long contactId,NetStatus status);

    void pushContactNewReq(User user);

    void pushBlockByContact(Long userId);

}
